<?php 

function businessone_menu_layer_1(){ 

	global $businessoneopt;
	?>

	<div class="header-layout-1">

		<header class="header-info">
			<div class="container">
				
				<div class="row">
					<div class="col-sm-6">
						<p class="h6"><?php echo sanitize_text_field($businessoneopt['top-text']); ?></p>
					</div>
					<div class="col-sm-6 right-side">
						<p class="h6"><?php echo $businessoneopt['top-text-right']; ?></p>
						<?php if(function_exists('businessone_language_selector')){
							businessone_language_selector();
						} ?>	
							
					</div>
				</div>

			</div>
		</header>

		<header class="header-nav">
			<div class="container">
				<div class="row">

					<div class="menu-container">

						<div class="col-md-3">
							<figure class="logo">
								<?php if(isset($businessoneopt['logo']['url'])): ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
										<img src="<?php echo esc_url($businessoneopt['logo']['url']); ?>" alt="<?php esc_html_e('logo','business-one'); ?>">	
									</a>
								<?php else: ?>
									<h3>
										<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
											<?php echo bloginfo('name'); ?>	
										</a>
									</h3>
								<?php endif; ?>
							</figure>
						</div>

						<nav class="nav-menu clearfix desktop col-md-9">				

							<?php wp_nav_menu(array(
								'theme_location' => 'primary',
								'menu_class' => 'uppercase clearfix pull-left',
								'container' => false,													
								'depth' => 2
							)); ?>	
							
						</nav>						

					</div>
				</div>
			</div>
		</header>

		<div class="mobile-menu-wrap">
			<i class="fa fa-bars fa-2x"></i>

			<div class="mobile-menu mobile-row">								

				<?php 
					wp_nav_menu( array(
						'theme_location' => 'primary',
					) );	
				?>
			</div>
		</div>

	</div>


<?php 
}


function businessone_menu_layer_2(){

	global $businessoneopt;
	?>	

	<div class="header-layout-2">

		<header class="header-info">
			<div class="container">
				
				<div class="row">
					<div class="col-sm-6">
						<p class="h6"><?php echo sanitize_text_field($businessoneopt['top-text']); ?></p>
					</div>
					<div class="col-sm-6 right-side">
						<p class="h6"><?php echo $businessoneopt['top-text-right']; ?></p>
						<?php if(function_exists('businessone_language_selector')){
							businessone_language_selector();
						} ?>	
								
					</div>
				</div>

			</div>
		</header>

		<header class="header-nav">
			<div class="container">
				<div class="row">

					<div class="menu-container">

						<div class="col-md-3">
							<figure class="logo">
								<?php if(isset($businessoneopt['logo']['url'])): ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
										<img src="<?php echo esc_url($businessoneopt['logo']['url']); ?>" alt="<?php esc_html_e('logo','business-one'); ?>">	
									</a>
								<?php else: ?>
									<h3>
										<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
											<?php echo bloginfo('name'); ?>	
										</a>
									</h3>
								<?php endif; ?>
							</figure>
						</div>

						<nav class="nav-menu clearfix desktop col-md-9">				

							<?php wp_nav_menu(array(
								'theme_location' => 'primary',
								'menu_class' => 'uppercase clearfix pull-left',
								'container' => false,													
								'depth' => 2
							)); ?>	
							
						</nav>						


					</div>
				</div>
			</div>
		</header>

		<div class="mobile-menu-wrap">
			<i class="fa fa-bars fa-2x"></i>

			<div class="mobile-menu mobile-row">								

				<?php 
					wp_nav_menu( array(
						'theme_location' => 'primary',
					) );	
				?>
			</div>
		</div>

	</div>
	

<?php
}



function businessone_menu_layer_4(){

	global $businessoneopt;
	?>

		<div class="header-layout-4">

			<header class="header-info">
				<div class="container">
					
					<div class="row">

						<div class="col-md-3">
							<figure class="logo">
								<?php if(isset($businessoneopt['logo']['url'])): ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
										<img src="<?php echo esc_url($businessoneopt['logo']['url']); ?>" alt="<?php esc_html_e('logo','business-one'); ?>">	
									</a>
								<?php else: ?>
									<h3>
										<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
											<?php echo bloginfo('name'); ?>	
										</a>
									</h3>
								<?php endif; ?>
							</figure>
						</div> <!-- end col-md-3 -->	

						<div class="col-md-9 right-side">
							<div class="icon-block h-card">
								<span class="icon-span">
									<i class="fa fa-map-marker"></i>
								</span>
								<span class="text-span p-extended-address">
									25, Lomonosova St. Moscow, 
									<strong>Russia, 665087</strong>
								</span>	
							</div>
							<div class="icon-block">
								<span class="icon-span">
									<i class="fa fa-clock-o"></i>
								</span>
								<span class="text-span work-hours">
									Mon - Sat 8.00 - 18.00
									<strong>Sunday CLOSED</strong>
								</span>	
							</div>
							<div class="icon-block">
								<span class="icon-span">
									<i class="fa fa-phone"></i>
								</span>
								<span class="text-span phone-number">
									Sales department
									<strong>+321 123 456 7</strong>
								</span>	
							</div>
							

							<?php if(function_exists('businessone_language_selector')){
								businessone_language_selector();
							} ?>	
									
						</div>

					</div> <!-- end row -->

				</div>
			</header>

			<header class="header-nav">
				<div class="container">
					<div class="row">

						<div class="menu-container">

							<nav class="nav-menu clearfix desktop col-md-9">				

								<?php wp_nav_menu(array(
									'theme_location' => 'primary',
									'menu_class' => 'uppercase clearfix pull-left',
									'container' => false,													
									'depth' => 2
								)); ?>	
								
							</nav>

							

						</div>
					</div>
				</div>
			</header>

			<div class="mobile-menu-wrap">
				<i class="fa fa-bars fa-2x"></i>

				<div class="mobile-menu mobile-row">								

					<?php 
						wp_nav_menu( array(
							'theme_location' => 'primary',
						) );	
					?>
				</div>
			</div>

		</div>
	

<?php
}




function businessone_menu_default(){ ?>

<div class="header-layout-1">

		<header class="header-info">
			<div class="container">
				
				<div class="row">
					<div class="col-sm-6">
						<p class="h6"><?php echo sanitize_text_field($businessoneopt['top-text']); ?></p>
					</div>
					<div class="col-sm-6 right-side">
						<p class="h6"><?php echo $businessoneopt['top-text-right']; ?></p>
						<?php if(function_exists('businessone_language_selector')){
							businessone_language_selector();
						} ?>	
									
					</div>
				</div>

			</div>
		</header>

		<header class="header-nav">
			<div class="container">
				<div class="row">

					<div class="menu-container">

						<div class="col-md-3">
							<figure class="logo">
								<?php if(isset($businessoneopt['logo']['url'])): ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
										<img src="<?php echo esc_url($businessoneopt['logo']['url']); ?>" alt="<?php esc_html_e('logo','business-one'); ?>">	
									</a>
								<?php else: ?>
									<h3>
										<a href="<?php echo esc_url(home_url('/')); ?>" class="u-url">
											<?php echo bloginfo('name'); ?>	
										</a>
									</h3>
								<?php endif; ?>
							</figure>
						</div>

						<nav class="nav-menu clearfix desktop col-md-9">				

							<?php wp_nav_menu(array(
								'theme_location' => 'primary',
								'menu_class' => 'uppercase clearfix pull-left',
								'container' => false,													
								'depth' => 2,
								'fallback_cb' => false
							)); ?>	


						</nav>						

					</div>
				</div>
			</div>
		</header>

		<div class="mobile-menu-wrap">
			<i class="fa fa-bars fa-2x"></i>

			<div class="mobile-menu mobile-row">								

				<?php 
					wp_nav_menu( array(
						'theme_location' => 'primary',
					) );	
				?>
			</div>
		</div>

	</div>

<?php } ?>